"use client";

import { Component, ReactNode } from "react";
import Container from "./ui/container";
import { Toaster } from "./ui/toaster";
import { TooltipProvider } from "./ui/tooltip";

export default class AppProvider extends Component {
  constructor(props: any) {
    super(props);
  }

  render(): ReactNode {
    const props: any = this.props;

    return (
      <TooltipProvider>
        <Toaster />
        <Container>{props.children}</Container>
      </TooltipProvider>
    );
  }
}
