import { Card, CardContent } from "./components/ui/card";

export default async function NotFound() {
  return (
    <Card>
      <CardContent className="flex flex-col items-center justify-center">
        <p className="text-xl font-bold text-red-500">404 Not Found</p>
        <p className="text-lg text-gray-300">
          The page you requested does not exist.
        </p>
      </CardContent>
    </Card>
  );
}
